 
%global giturl	https://github.com/psifidotos/
Name:			Latte-Dock
Version:		0.6.0
Release:		1%{?dist}
Summary:		Dock based on plasma frameworks
License:		GPLv2
Url:			%{giturl}%{name}
Source0:		%{giturl}%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	extra-cmake-modules, qt5-qtx11extras-devel, kf5-plasma-devel
BuildRequires:	kf5-kwindowsystem-devel, kf5-kdeclarative-devel, kf5-kactivities-devel, kf5-karchive-devel, kf5-knotifications-devel, kf5-kxmlgui-devel, kf5-kcoreaddons-devel, kf5-kdbusaddons-devel, kf5-kiconthemes-devel, kf5-kwayland-devel, kf5-ki18n-devel, xcb-util-devel, qt5-qtdeclarative-devel, qt5-qtbase-devel, qt5-qttools 

#qt5-quick-devel, 
BuildRequires:	desktop-file-utils

%description
Latte is a dock based on plasma frameworks that provides an elegant and intuitive experience for your tasks and plasmoids

%global debug_package %{nil}

%prep
%setup -qn %{name}-%{version}

%build
if ! [ -a build ] ; then
    mkdir build
fi
pushd build
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C build 


%install
make install/fast DESTDIR=%{buildroot} -C build

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_kf5_bindir}/latte-dock
%{_qt5_archdatadir}/qml/org/kde/latte/
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.plasmoid/
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.containment/
%{_kf5_datadir}/plasma/shells/org.kde.latte.shell/
%{_datadir}/appdata/org.kde.latte*
%{_datadir}/applications/latte-dock.desktop
%{_datadir}/dbus-1/interfaces/org.kde.LatteDock.xml
%{_datadir}/icons/hicolor/*/apps/latte-dock.*
%{_datadir}/icons/breeze/applets/256/org.kde.latte.plasmoid.svg
%{_kf5_datadir}/knotifications5/lattedock.notifyrc
%{_kf5_datadir}/kservices5/*.desktop
%{_datadir}/locale/*/*/*.mo

%changelog
* Mon Apr 10 2017 Fabien Valthier <hcoohb@gmail.com> 0.6.0-1
- Initial build for Fedora
